RECAP(8)

NAME
recap - dumps periodic information about running applications and resource usage

SYNOPSIS
recap [OPTION]

DESCRIPTION
recap is a user-configurable script that can be run once, or run periodically out of cron or systemd.timers to dump information about running processes and resource usage. It's useful on servers that have periodic, mysterious performance anomalies for tracking down what may be going on at the time of any particular incident.

The values for which reports are generated and how many reports are stored can be overridden in /etc/recap.conf. The output files from the script are written to BASEDIR.

-B, --backup
    This will perform a "backup". It will copy the latest log files from the last execution to the "backups" directory inside BASEDIR. The files will be identified by a timestamp in the name.

-S, --snapshot
    This will perform a "snapshot" report. It will generate a set of output files in the "snapshot" directory inside BASEDIR outside of the standard rotation. The files will be identified by a timestamp in the name.

-V, --version
    Print version and exit.

FILES
/etc/recap.conf
    /etc/cron.d/recap
    /usr/lib/systemd/system/recap.{service,timer} - Unit files for running recap periodically.
    /usr/lib/systemd/system/recap-onboot.{service,timer} - Unit files for running recap on boot.

REPORTING BUGS
Bugs and issues to be submitted via github <https://github.com/rackerlabs/recap/issues>.

AUTHOR
The recap scripts are maintained by Rackspace, the list of contributors is available at https://github.com/rackerlabs/recap/blob/master/CHANGELOG.md#contributors.

SEE ALSO
recap.conf(5), recaplog(8), crontab(5), systemd.timer(5)